html, body {
    position: relative;
    margin: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.switch {
    position: absolute;
    text-align: center;
    bottom: 50px;
    right: 18%;
    font-size: 35px;
    color: white;
    transform: translateX(-50%);
    z-index: 10;
    cursor: pointer;
}

.photo-button {
    position: fixed;
    bottom: 25px;
    left: 50%;
    height: 80px;
    width: 80px;
    transform: translateX(-50%);
    z-index: 10;
    cursor: pointer;
}
.circle {
  position: absolute;
  top: 12%;
  left: 12%;
  bottom: 12%;
  right: 12%;
  border-radius: 100%;
  background-color: #ffffff;
  opacity: 0;
}
.ring {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  box-shadow:0px 0px 0px 1px rgba(0,0,0,0.1);  
  border-radius: 100%;
  border: 0.5em solid #ffffff;
  opacity: 0.8;
}
.photo-button .circle, .photo-button .ring {
  transition: all 0.25s;
}
.photo-button:hover .circle {
  opacity: 1;
}
.photo-button:active .ring {
  opacity: 1;
}
.photo-button:active .circle {
  opacity: 0.5;
}

#preview {
    position: fixed;
    z-index: 10;
    left: 50%;
    width: 100%;
    height: 100%;
    transform: translateX(-50%);
    visibility: hidden;
}

#preview-image {
    width: 100%;
    height: 100%;
}

#preview-close {
    position: absolute;
    right: 22px;
    top: 17px;
    font-size: 35px;
    cursor: pointer;
    color: white;
}

#preview-share {
    border: solid 1px;
    text-align: center;
    cursor: pointer;
    background: white;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 45px;
    padding: 12px 25px;
    border-radius: 25px;
    border: none;
}